# Method: mapTypes.heatmapTiles.lookupHeatmapTile

- [HTTP request](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#body.HttpBody.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#body.aspect)
- [MapType](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#MapType)

Returns a bytes array containing the data of the tile PNG image.

### HTTP request

`GET https://airquality.googleapis.com/v1/mapTypes/{mapType}/heatmapTiles/{zoom}/{x}/{y}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `mapType` | ``enum (`https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile#MapType`)`` Required. The type of the air quality heatmap. Defines the pollutant that the map will graphically represent. Allowed values: - UAQI_RED_GREEN (UAQI, red-green palette) - UAQI_INDIGO_PERSIAN (UAQI, indigo-persian palette) - PM25_INDIGO_PERSIAN - GBR_DEFRA - DEU_UBA - CAN_EC - FRA_ATMO - US_AQI |
| `zoom` | `integer` Required. The map's zoom level. Defines how large or small the contents of a map appear in a map view. Zoom level 0 is the entire world in a single tile. Zoom level 1 is the entire world in 4 tiles. Zoom level 2 is the entire world in 16 tiles. Zoom level 16 is the entire world in 65,536 tiles. Allowed values: 0-16 |
| `x` | `integer` Required. Defines the east-west point in the requested tile. |
| `y` | `integer` Required. Defines the north-south point in the requested tile. |

### Request body

The request body must be empty.

### Response body

A heatmap tile image, in PNG format.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## MapType

The type of the air quality heatmap. Defines the pollutant that the map will graphically represent.

| Enums ||
|---|---|
| `MAP_TYPE_UNSPECIFIED` | The default value. The server ignores it if it is passed as a parameter. |
| `UAQI_RED_GREEN` | Universal Air Quality Index red-green palette. |
| `UAQI_INDIGO_PERSIAN` | Universal Air Quality Index indigo-persian palette. |
| `PM25_INDIGO_PERSIAN` | PM2.5 index indigo-persian palette. |
| `GBR_DEFRA` | Daily Air Quality Index (UK) color palette. |
| `DEU_UBA` | German Local Air Quality Index color palette. |
| `CAN_EC` | Canadian Air Quality Health Index color palette. |
| `FRA_ATMO` | France Air Quality Index color palette. |
| `US_AQI` | US Air Quality Index color palette. |